Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface ToolGroup

All Superinterfaces:
  EntryBase, EObject, Notifier, ToolGroupItem

All Known Implementing Classes:
  ToolGroupImpl

public interface ToolGroup
extends EntryBase, ToolGroupItem

A representation of the model object 'Tool Group'.

The following features are supported:

- `Stack`
- `Collapse`
- `Entries`
- `Tools Only`

See Also:
  `GMFGenPackage.getToolGroup()`
** Generated **
Model:

Method Summary
`EList` `getEntries()` Returns the value of the 'Entries' containment reference list.
`boolean` `isCollapse()` Returns the value of the 'Collapse' attribute
`boolean` `isStack()` Returns the value of the 'Stack' attribute
`boolean` `isToolsOnly()` Returns the value of the 'Tools Only' attribute
`void` `setCollapse(boolean value)` Sets the value of the '`Collapse`' attribute
`void` `setStack(boolean value)` Sets the value of the '`Stack`' attribute

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.EntryBase
`getCreateMethodName, getDescription, getLargeIconPath, getSmallIconPath, getTitle, setCreateMethodName, setDescription, setLargeIconPath, setSmallIconPath, setTitle`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isStack

    public boolean isStack()

  Returns the value of the 'Stack' attribute.

  If the meaning of the 'Stack' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Stack' attribute.
  See Also:
    `ToolGroup.setStack(boolean)`, `GMFGenPackage.getToolGroup_Stack()`
  ** Generated **
  Model:

### setStack

    public void setStack(boolean value)

  Sets the value of the '`Stack`' attribute.

  Parameters:
    `value` - the new value of the 'Stack' attribute.
  See Also:
    `ToolGroup.isStack()`
  ** Generated **

### isCollapse

    public boolean isCollapse()

  Returns the value of the 'Collapse' attribute.

  If the meaning of the 'Collapse' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Collapse' attribute.
  See Also:
    `ToolGroup.setCollapse(boolean)`, `GMFGenPackage.getToolGroup_Collapse()`
  ** Generated **
  Model:

### setCollapse

    public void setCollapse(boolean value)

  Sets the value of the '`Collapse`' attribute.

  Parameters:
    `value` - the new value of the 'Collapse' attribute.
  See Also:
    `ToolGroup.isCollapse()`
  ** Generated **

### getEntries

    public EList getEntries()

  Returns the value of the 'Entries' containment reference list. The list contents are of type `ToolGroupItem`.

  If the meaning of the 'Entries' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Entries' containment reference list.
  See Also:
    `GMFGenPackage.getToolGroup_Entries()`
  ** Generated **
  Model:
    type="org.eclipse.gmf.codegen.gmfgen.ToolGroupItem" containment="true" required="true"

### isToolsOnly

    public boolean isToolsOnly()

  Returns the value of the 'Tools Only' attribute.

  If the meaning of the 'Tools Only' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Tools Only' attribute.
  See Also:
    `GMFGenPackage.getToolGroup_ToolsOnly()`
  ** Generated **
  Model:
    transient="true" changeable="false" volatile="true" derived="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.